// Module    : $RCSfile: GUIModelConfigurationException.java,v $
// Version   : $Revision: 0.0 $  $Author: patrick $  $Date: 27.05.2012 $
// Project   : GUIModel
// Creation  : 2012 by patrick
// Copyright : Patrick Harms, 2012

package de.ugoe.cs.quest.eventcore.guimodel;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 27.05.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class GUIModelConfigurationException extends GUIModelException {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * TODO: comment
     * 
     */
    public GUIModelConfigurationException() {
        super();
    }

    /**
     * TODO: comment
     * 
     * @param message
     */
    public GUIModelConfigurationException(String message) {
        super(message);
    }

    /**
     * TODO: comment
     * 
     * @param cause
     */
    public GUIModelConfigurationException(Throwable cause) {
        super(cause);
    }

    /**
     * TODO: comment
     * 
     * @param message
     * @param cause
     */
    public GUIModelConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }

}
